VERSION 2.00
Begin Form rf 
   Caption         =   "Resistor Finder"
   ClientHeight    =   2640
   ClientLeft      =   2160
   ClientTop       =   1590
   ClientWidth     =   2460
   Height          =   3105
   Icon            =   RF.FRX:0000
   Left            =   2070
   LinkTopic       =   "Form1"
   ScaleHeight     =   2640
   ScaleWidth      =   2460
   Top             =   1215
   Width           =   2640
   Begin CheckBox Check1 
      Caption         =   "&Use 1% resistors"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   720
      Width           =   1815
   End
   Begin ListBox List1 
      Height          =   1005
      Left            =   120
      TabIndex        =   3
      Top             =   1560
      Width           =   2175
   End
   Begin CommandButton Command1 
      Caption         =   "&Find"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   2175
   End
   Begin TextBox Text1 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   2175
   End
   Begin Label Label3 
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   615
   End
   Begin Label Label2 
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   2640
      Width           =   615
   End
   Begin Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "&Desired resistance:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   1695
   End
End
Option Explicit
'
'   there are 577 standard 1% resistor values
'
Dim r1(577) As Single
'
'   there are 170 standard 5% resistor values
'
Dim r5(170) As Single

'
' Colors
'
Const BLACK = &H0&
Const RED = &HFF&
Const GREEN = &HFF00&
Const YELLOW = &HFFFF&
Const BLUE = &HFF0000
Const MAGENTA = &HFF00FF
Const CYAN = &HFFFF00
Const WHITE = &HFFFFFF
Const BROWN = &H40
Const ORANGE = &H80FF
Const VIOLET = &HFF00FF
Const GREY = &H808080

Sub Check1_Click ()
    list1.Clear
End Sub

Sub Command1_Click ()
Dim found, i As Integer

'
'   make sure supplied value is o.k.
'
    If verify_desired(text1.Text) = False Then
	text1.SetFocus
	Exit Sub
    End If

'
'   see if it's a standard value
'
    If check1.Value Then
	For i = 1 To UBound(r1)
	    If r1(i) = text1.Text Then Exit For
	Next
    Else
	For i = 1 To UBound(r5)
	    If r5(i) = text1.Text Then Exit For
	Next
    End If

'
'   If I found exact match, list it and get out
'
    If check1.Value Then
	If i < UBound(r1) Then
	    list1.AddItem format_value(r1(i))
	    Exit Sub
	End If
    Else
	If i < UBound(r5) Then
	    list1.AddItem format_value(r5(i))
	    Exit Sub
	End If
    End If

    screen.MousePointer = 11
    Call find_all(text1.Text)
    screen.MousePointer = 0

    If list1.ListCount = 0 Then list1.AddItem "Not found"

End Sub

Sub find_all (ByVal res As String)

    Dim i, i2 As Integer
    Dim res1 As Single
    res1 = CDbl(res)

'
'   look for series and parallel matches
'
    If check1.Value Then
	For i = 1 To UBound(r1)
	    For i2 = i To UBound(r1)
		If (r1(i) * r1(i2)) / (r1(i) + r1(i2)) = res1 Then
		    list1.AddItem format_value(r1(i)) & " ||" & format_value(r1(i2))
		End If
		If r1(i) + r1(i2) = res1 Then
		    list1.AddItem format_value(r1(i)) & " +" & format_value(r1(i2))
		End If
	    Next
	Next
    Else
	For i = 1 To UBound(r5)
	    For i2 = i To UBound(r5)
		If (r5(i) * r5(i2)) / (r5(i) + r5(i2)) = res1 Then
		    list1.AddItem format_value(r5(i)) & " ||" & format_value(r5(i2))
		End If
		If r5(i) + r5(i2) = res1 Then
		    list1.AddItem format_value(r5(i)) & " +" & format_value(r5(i2))
		End If
	    Next
	Next
    End If

End Sub

Sub Form_Load ()
Let r5(0) = 0
Let r5(1) = .5
Let r5(2) = 1
Let r5(3) = 1.1
Let r5(4) = 1.2
Let r5(5) = 1.5
Let r5(6) = 1.6
Let r5(7) = 1.8
Let r5(8) = 2
Let r5(9) = 2.2
Let r5(10) = 2.4
Let r5(11) = 2.7
Let r5(12) = 3!
Let r5(13) = 3.3
Let r5(14) = 3.6
Let r5(15) = 3.9
Let r5(16) = 4.3
Let r5(17) = 4.7
Let r5(18) = 5.1
Let r5(19) = 5.6
Let r5(20) = 6.2
Let r5(21) = 6.8
Let r5(22) = 7.5
Let r5(23) = 8.2
Let r5(24) = 9.1
Let r5(25) = 10
Let r5(26) = 11
Let r5(27) = 12
Let r5(28) = 13
Let r5(29) = 15
Let r5(30) = 16
Let r5(31) = 18
Let r5(32) = 20
Let r5(33) = 22
Let r5(34) = 24
Let r5(35) = 27
Let r5(36) = 30
Let r5(37) = 33
Let r5(38) = 36
Let r5(39) = 39
Let r5(40) = 43
Let r5(41) = 47
Let r5(42) = 51
Let r5(43) = 56
Let r5(44) = 62
Let r5(45) = 68
Let r5(46) = 75
Let r5(47) = 82
Let r5(48) = 91
Let r5(49) = 100
Let r5(50) = 110
Let r5(51) = 120
Let r5(52) = 130
Let r5(53) = 150
Let r5(54) = 160
Let r5(55) = 180
Let r5(56) = 200
Let r5(57) = 220
Let r5(58) = 240
Let r5(59) = 270
Let r5(60) = 300
Let r5(61) = 330
Let r5(62) = 360
Let r5(63) = 390
Let r5(64) = 430
Let r5(65) = 470
Let r5(66) = 510
Let r5(67) = 560
Let r5(68) = 620
Let r5(69) = 680
Let r5(70) = 750
Let r5(71) = 820
Let r5(72) = 910
Let r5(73) = 1000
Let r5(74) = 1100
Let r5(75) = 1200
Let r5(76) = 1300
Let r5(77) = 1500
Let r5(78) = 1600
Let r5(79) = 1800
Let r5(80) = 2000
Let r5(81) = 2200
Let r5(82) = 2400
Let r5(83) = 2700
Let r5(84) = 3000
Let r5(85) = 3200
Let r5(86) = 3300
Let r5(87) = 3600
Let r5(88) = 3900
Let r5(89) = 4300
Let r5(90) = 4700
Let r5(91) = 5100
Let r5(92) = 5600
Let r5(93) = 6200
Let r5(94) = 6800
Let r5(95) = 7500
Let r5(96) = 8200
Let r5(97) = 9100
Let r5(98) = 10000
Let r5(99) = 11000
Let r5(100) = 12000
Let r5(101) = 13000
Let r5(102) = 15000
Let r5(103) = 16000
Let r5(104) = 18000
Let r5(105) = 20000
Let r5(106) = 22000
Let r5(107) = 24000
Let r5(108) = 27000
Let r5(109) = 30000
Let r5(110) = 33000
Let r5(111) = 36000
Let r5(112) = 39000
Let r5(113) = 43000
Let r5(114) = 47000
Let r5(115) = 51000
Let r5(116) = 56000
Let r5(117) = 62000
Let r5(118) = 68000
Let r5(119) = 75000
Let r5(120) = 82000
Let r5(121) = 91000
Let r5(122) = 100000
Let r5(123) = 110000
Let r5(124) = 120000
Let r5(125) = 130000
Let r5(126) = 150000
Let r5(127) = 160000
Let r5(128) = 180000
Let r5(129) = 200000
Let r5(130) = 220000
Let r5(131) = 240000
Let r5(132) = 270000
Let r5(133) = 300000
Let r5(134) = 330000
Let r5(135) = 360000
Let r5(136) = 390000
Let r5(137) = 430000
Let r5(138) = 470000
Let r5(139) = 510000
Let r5(140) = 560000
Let r5(141) = 620000
Let r5(142) = 680000
Let r5(143) = 750000
Let r5(144) = 820000
Let r5(145) = 910000
Let r5(146) = 1000000
Let r5(147) = 1100000
Let r5(148) = 1200000
Let r5(149) = 1300000
Let r5(150) = 1500000
Let r5(151) = 1600000
Let r5(152) = 1800000
Let r5(153) = 2000000
Let r5(154) = 2200000
Let r5(155) = 2400000
Let r5(156) = 2700000
Let r5(157) = 3000000
Let r5(158) = 3300000
Let r5(159) = 3600000
Let r5(160) = 3900000
Let r5(161) = 4300000
Let r5(162) = 4700000
Let r5(163) = 5100000
Let r5(164) = 5600000
Let r5(165) = 6200000
Let r5(166) = 6800000
Let r5(167) = 7500000
Let r5(168) = 8200000
Let r5(169) = 9100000
Let r5(170) = 10000000

Let r1(1) = 4.02
Let r1(2) = 10
Let r1(3) = 10.2
Let r1(4) = 10.5
Let r1(5) = 10.7
Let r1(6) = 11
Let r1(7) = 11.3
Let r1(8) = 11.5
Let r1(9) = 11.8
Let r1(10) = 12
Let r1(11) = 12.1
Let r1(12) = 12.4
Let r1(13) = 12.7
Let r1(14) = 13
Let r1(15) = 13.3
Let r1(16) = 13.7
Let r1(17) = 14
Let r1(18) = 14.3
Let r1(19) = 14.7
Let r1(20) = 15
Let r1(21) = 15.4
Let r1(22) = 15.8
Let r1(23) = 16
Let r1(24) = 16.2
Let r1(25) = 16.5
Let r1(26) = 16.9
Let r1(27) = 17.4
Let r1(28) = 17.8
Let r1(29) = 18
Let r1(30) = 18.2
Let r1(31) = 18.7
Let r1(32) = 19.1
Let r1(33) = 19.6
Let r1(34) = 20
Let r1(35) = 20.5
Let r1(36) = 21
Let r1(37) = 21.5
Let r1(38) = 22
Let r1(39) = 22.1
Let r1(40) = 22.6
Let r1(41) = 23.2
Let r1(42) = 23.7
Let r1(43) = 24
Let r1(44) = 24.3
Let r1(45) = 24.7
Let r1(46) = 24.9
Let r1(47) = 25.5
Let r1(48) = 26.1
Let r1(49) = 26.7
Let r1(50) = 27
Let r1(51) = 27.4
Let r1(52) = 28
Let r1(53) = 28.7
Let r1(54) = 29.4
Let r1(55) = 30
Let r1(56) = 30.1
Let r1(57) = 30.9
Let r1(58) = 31.6
Let r1(59) = 32.4
Let r1(60) = 33
Let r1(61) = 33.2
Let r1(62) = 34
Let r1(63) = 34.8
Let r1(64) = 35.7
Let r1(65) = 36
Let r1(66) = 36.5
Let r1(67) = 37.4
Let r1(68) = 38.3
Let r1(69) = 39
Let r1(70) = 39.2
Let r1(71) = 40.2
Let r1(72) = 41.2
Let r1(73) = 42.2
Let r1(74) = 43
Let r1(75) = 43.2
Let r1(76) = 44.2
Let r1(77) = 45.3
Let r1(78) = 46.4
Let r1(79) = 47
Let r1(80) = 47.5
Let r1(81) = 48.7
Let r1(82) = 49.9
Let r1(83) = 51
Let r1(84) = 51.1
Let r1(85) = 52.3
Let r1(86) = 53.6
Let r1(87) = 54.9
Let r1(88) = 56
Let r1(89) = 56.2
Let r1(90) = 57.6
Let r1(91) = 59
Let r1(92) = 60.4
Let r1(93) = 61.9
Let r1(94) = 62
Let r1(95) = 63.4
Let r1(96) = 64.9
Let r1(97) = 66.5
Let r1(98) = 68
Let r1(99) = 68.1
Let r1(100) = 69.8
Let r1(101) = 71.5
Let r1(102) = 73.2
Let r1(103) = 75
Let r1(104) = 75.5
Let r1(105) = 76.8
Let r1(106) = 78.7
Let r1(107) = 80.6
Let r1(108) = 82
Let r1(109) = 82.5
Let r1(110) = 84.5
Let r1(111) = 86.6
Let r1(112) = 88.7
Let r1(113) = 90.9
Let r1(114) = 91
Let r1(115) = 93.1
Let r1(116) = 95.3
Let r1(117) = 97.6
Let r1(118) = 100
Let r1(119) = 102
Let r1(120) = 105
Let r1(121) = 107
Let r1(122) = 110
Let r1(123) = 113
Let r1(124) = 115
Let r1(125) = 118
Let r1(126) = 120
Let r1(127) = 121
Let r1(128) = 124
Let r1(129) = 127
Let r1(130) = 130
Let r1(131) = 133
Let r1(132) = 137
Let r1(133) = 140
Let r1(134) = 143
Let r1(135) = 147
Let r1(136) = 150
Let r1(137) = 154
Let r1(138) = 158
Let r1(139) = 160
Let r1(140) = 162
Let r1(141) = 165
Let r1(142) = 169
Let r1(143) = 174
Let r1(144) = 178
Let r1(145) = 180
Let r1(146) = 182
Let r1(147) = 187
Let r1(148) = 191
Let r1(149) = 196
Let r1(150) = 200
Let r1(151) = 205
Let r1(152) = 210
Let r1(153) = 215
Let r1(154) = 220
Let r1(155) = 221
Let r1(156) = 226
Let r1(157) = 232
Let r1(158) = 237
Let r1(159) = 240
Let r1(160) = 243
Let r1(161) = 249
Let r1(162) = 255
Let r1(163) = 261
Let r1(164) = 267
Let r1(165) = 270
Let r1(166) = 274
Let r1(167) = 280
Let r1(168) = 287
Let r1(169) = 294
Let r1(170) = 300
Let r1(171) = 301
Let r1(172) = 309
Let r1(173) = 316
Let r1(174) = 324
Let r1(175) = 330
Let r1(176) = 332
Let r1(177) = 340
Let r1(178) = 348
Let r1(179) = 350
Let r1(180) = 357
Let r1(181) = 360
Let r1(182) = 365
Let r1(183) = 374
Let r1(184) = 383
Let r1(185) = 390
Let r1(186) = 392
Let r1(187) = 402
Let r1(188) = 412
Let r1(189) = 422
Let r1(190) = 430
Let r1(191) = 432
Let r1(192) = 442
Let r1(193) = 453
Let r1(194) = 464
Let r1(195) = 470
Let r1(196) = 475
Let r1(197) = 487
Let r1(198) = 499
Let r1(199) = 510
Let r1(200) = 511
Let r1(201) = 523
Let r1(202) = 536
Let r1(203) = 549
Let r1(204) = 560
Let r1(205) = 562
Let r1(206) = 565
Let r1(207) = 576
Let r1(208) = 590
Let r1(209) = 604
Let r1(210) = 619
Let r1(211) = 620
Let r1(212) = 634
Let r1(213) = 649
Let r1(214) = 665
Let r1(215) = 680
Let r1(216) = 681
Let r1(217) = 698
Let r1(218) = 715
Let r1(219) = 732
Let r1(220) = 750
Let r1(221) = 768
Let r1(222) = 787
Let r1(223) = 806
Let r1(224) = 820
Let r1(225) = 825
Let r1(226) = 845
Let r1(227) = 866
Let r1(228) = 887
Let r1(229) = 909
Let r1(230) = 910
Let r1(231) = 931
Let r1(232) = 953
Let r1(233) = 976
Let r1(234) = 1000
Let r1(235) = 1020
Let r1(236) = 1050
Let r1(237) = 1070
Let r1(238) = 1100
Let r1(239) = 1130
Let r1(240) = 1150
Let r1(241) = 1180
Let r1(242) = 1200
Let r1(243) = 1210
Let r1(244) = 1240
Let r1(245) = 1270
Let r1(246) = 1300
Let r1(247) = 1330
Let r1(248) = 1370
Let r1(249) = 1400
Let r1(250) = 1430
Let r1(251) = 1470
Let r1(252) = 1500
Let r1(253) = 1540
Let r1(254) = 1580
Let r1(255) = 1600
Let r1(256) = 1620
Let r1(257) = 1650
Let r1(258) = 1690
Let r1(259) = 1740
Let r1(260) = 1780
Let r1(261) = 1800
Let r1(262) = 1820
Let r1(263) = 1870
Let r1(264) = 1910
Let r1(265) = 1960
Let r1(266) = 2000
Let r1(267) = 2050
Let r1(268) = 2100
Let r1(269) = 2150
Let r1(270) = 2200
Let r1(271) = 2210
Let r1(272) = 2260
Let r1(273) = 2320
Let r1(274) = 2370
Let r1(275) = 2400
Let r1(276) = 2430
Let r1(277) = 2490
Let r1(278) = 2550
Let r1(279) = 2610
Let r1(280) = 2670
Let r1(281) = 2700
Let r1(282) = 2740
Let r1(283) = 2800
Let r1(284) = 2870
Let r1(285) = 2940
Let r1(286) = 3000
Let r1(287) = 3010
Let r1(288) = 3090
Let r1(289) = 3160
Let r1(290) = 3240
Let r1(291) = 3300
Let r1(292) = 3320
Let r1(293) = 3400
Let r1(294) = 3480
Let r1(295) = 3570
Let r1(296) = 3600
Let r1(297) = 3650
Let r1(298) = 3740
Let r1(299) = 3830
Let r1(300) = 3900
Let r1(301) = 3920
Let r1(302) = 4020
Let r1(303) = 4120
Let r1(304) = 4220
Let r1(305) = 4320
Let r1(306) = 4420
Let r1(307) = 4530
Let r1(308) = 4640
Let r1(309) = 4700
Let r1(310) = 4750
Let r1(311) = 4870
Let r1(312) = 4990
Let r1(313) = 5100
Let r1(314) = 5110
Let r1(315) = 5230
Let r1(316) = 5360
Let r1(317) = 5490
Let r1(318) = 5600
Let r1(319) = 5620
Let r1(320) = 5760
Let r1(321) = 5900
Let r1(322) = 6040
Let r1(323) = 6190
Let r1(324) = 6200
Let r1(325) = 6340
Let r1(326) = 6490
Let r1(327) = 6650
Let r1(328) = 6800
Let r1(329) = 6810
Let r1(330) = 6980
Let r1(331) = 7150
Let r1(332) = 7320
Let r1(333) = 7500
Let r1(334) = 7680
Let r1(335) = 7870
Let r1(336) = 8060
Let r1(337) = 8200
Let r1(338) = 8250
Let r1(339) = 8450
Let r1(340) = 8660
Let r1(341) = 8800
Let r1(342) = 8870
Let r1(343) = 9090
Let r1(344) = 9310
Let r1(345) = 9530
Let r1(346) = 9760
Let r1(347) = 10000
Let r1(348) = 10200
Let r1(349) = 10500
Let r1(350) = 10700
Let r1(351) = 11000
Let r1(352) = 11300
Let r1(353) = 11500
Let r1(354) = 11800
Let r1(355) = 12000
Let r1(356) = 12100
Let r1(357) = 12400
Let r1(358) = 12700
Let r1(359) = 13000
Let r1(360) = 13300
Let r1(361) = 13700
Let r1(362) = 14000
Let r1(363) = 14300
Let r1(364) = 14700
Let r1(365) = 15000
Let r1(366) = 15400
Let r1(367) = 15800
Let r1(368) = 16000
Let r1(369) = 16200
Let r1(370) = 16500
Let r1(371) = 16900
Let r1(372) = 17400
Let r1(373) = 17800
Let r1(374) = 18000
Let r1(375) = 18200
Let r1(376) = 18700
Let r1(377) = 19100
Let r1(378) = 19600
Let r1(379) = 20000
Let r1(380) = 20500
Let r1(381) = 21000
Let r1(382) = 21500
Let r1(383) = 22000
Let r1(384) = 22100
Let r1(385) = 22600
Let r1(386) = 23200
Let r1(387) = 23700
Let r1(388) = 24000
Let r1(389) = 24300
Let r1(390) = 24900
Let r1(391) = 25500
Let r1(392) = 26100
Let r1(393) = 26700
Let r1(394) = 27000
Let r1(395) = 27400
Let r1(396) = 28000
Let r1(397) = 28700
Let r1(398) = 29400
Let r1(399) = 30000
Let r1(400) = 30100
Let r1(401) = 30900
Let r1(402) = 31600
Let r1(403) = 32400
Let r1(404) = 33000
Let r1(405) = 33200
Let r1(406) = 33600
Let r1(407) = 34000
Let r1(408) = 34800
Let r1(409) = 35700
Let r1(410) = 36000
Let r1(411) = 36500
Let r1(412) = 37400
Let r1(413) = 38300
Let r1(414) = 39000
Let r1(415) = 39200
Let r1(416) = 40200
Let r1(417) = 41200
Let r1(418) = 42200
Let r1(419) = 43000
Let r1(420) = 43200
Let r1(421) = 44200
Let r1(422) = 45300
Let r1(423) = 46400
Let r1(424) = 47000
Let r1(425) = 47500
Let r1(426) = 48700
Let r1(427) = 49900
Let r1(428) = 51000
Let r1(429) = 51100
Let r1(430) = 52300
Let r1(431) = 53600
Let r1(432) = 54900
Let r1(433) = 56000
Let r1(434) = 56200
Let r1(435) = 57600
Let r1(436) = 59000
Let r1(437) = 60400
Let r1(438) = 61900
Let r1(439) = 62000
Let r1(440) = 63400
Let r1(441) = 64900
Let r1(442) = 66500
Let r1(443) = 68000
Let r1(444) = 68100
Let r1(445) = 69800
Let r1(446) = 71500
Let r1(447) = 73200
Let r1(448) = 75000
Let r1(449) = 76800
Let r1(450) = 78700
Let r1(451) = 80600
Let r1(452) = 82000
Let r1(453) = 82500
Let r1(454) = 84500
Let r1(455) = 86600
Let r1(456) = 88700
Let r1(457) = 90900
Let r1(458) = 91000
Let r1(459) = 93100
Let r1(460) = 95300
Let r1(461) = 97600
Let r1(462) = 100000
Let r1(463) = 102000
Let r1(464) = 105000
Let r1(465) = 107000
Let r1(466) = 110000
Let r1(467) = 113000
Let r1(468) = 115000
Let r1(469) = 118000
Let r1(470) = 120000
Let r1(471) = 121000
Let r1(472) = 124000
Let r1(473) = 127000
Let r1(474) = 130000
Let r1(475) = 133000
Let r1(476) = 137000
Let r1(477) = 140000
Let r1(478) = 143000
Let r1(479) = 147000
Let r1(480) = 150000
Let r1(481) = 154000
Let r1(482) = 158000
Let r1(483) = 160000
Let r1(484) = 162000
Let r1(485) = 165000
Let r1(486) = 169000
Let r1(487) = 174000
Let r1(488) = 178000
Let r1(489) = 180000
Let r1(490) = 182000
Let r1(491) = 187000
Let r1(492) = 191000
Let r1(493) = 196000
Let r1(494) = 200000
Let r1(495) = 205000
Let r1(496) = 210000
Let r1(497) = 215000
Let r1(498) = 220000
Let r1(499) = 221000
Let r1(500) = 226000
Let r1(501) = 232000
Let r1(502) = 237000
Let r1(503) = 240000
Let r1(504) = 243000
Let r1(505) = 249000
Let r1(506) = 255000
Let r1(507) = 261000
Let r1(508) = 267000
Let r1(509) = 270000
Let r1(510) = 274000
Let r1(511) = 280000
Let r1(512) = 287000
Let r1(513) = 294000
Let r1(514) = 300000
Let r1(515) = 301000
Let r1(516) = 309000
Let r1(517) = 316000
Let r1(518) = 324000
Let r1(519) = 330000
Let r1(520) = 332000
Let r1(521) = 340000
Let r1(522) = 348000
Let r1(523) = 357000
Let r1(524) = 360000
Let r1(525) = 365000
Let r1(526) = 374000
Let r1(527) = 383000
Let r1(528) = 390000
Let r1(529) = 392000
Let r1(530) = 402000
Let r1(531) = 412000
Let r1(532) = 422000
Let r1(533) = 430000
Let r1(534) = 432000
Let r1(535) = 442000
Let r1(536) = 453000
Let r1(537) = 464000
Let r1(538) = 470000
Let r1(539) = 475000
Let r1(540) = 487000
Let r1(541) = 499000
Let r1(542) = 511000
Let r1(543) = 523000
Let r1(544) = 536000
Let r1(545) = 549000
Let r1(546) = 560000
Let r1(547) = 562000
Let r1(548) = 576000
Let r1(549) = 590000
Let r1(550) = 604000
Let r1(551) = 619000
Let r1(552) = 620000
Let r1(553) = 634000
Let r1(554) = 649000
Let r1(555) = 665000
Let r1(556) = 680000
Let r1(557) = 681000
Let r1(558) = 698000
Let r1(559) = 715000
Let r1(560) = 732000
Let r1(561) = 750000
Let r1(562) = 768000
Let r1(563) = 787000
Let r1(564) = 806000
Let r1(565) = 820000
Let r1(566) = 825000
Let r1(567) = 845000
Let r1(568) = 866000
Let r1(569) = 887000
Let r1(570) = 909000
Let r1(571) = 910000
Let r1(572) = 931000
Let r1(573) = 953000
Let r1(574) = 976000
Let r1(575) = 1000000
Let r1(576) = 1500000
Let r1(577) = 2200000

End Sub

Function format_value (ByVal Value As Single) As String

    If Value >= 1000000! Then
	format_value = Str$(Value / 1000000!) & "M"
    ElseIf Value >= 1000! Then
	format_value = Str$(Value / 1000!) & "K"
    Else
	format_value = Str$(Value)
    End If

End Function

Sub Text1_Change ()
    list1.Clear
End Sub

Sub Text1_LostFocus ()
    If verify_desired(text1.Text) = False Then text1.SetFocus
End Sub

Function verify_desired (ByVal Value As String) As Integer
'
'   if no value is there, got out now
'
    If Len(Value) = 0 Then
	verify_desired = False
	Exit Function
    End If

'
'   if entry is all, then print list
'
    If StrComp(Value, "all", 1) = 0 Then
	Dim i As Integer
	If check1.Value Then
	    For i = 1 To UBound(r1)
		list1.AddItem format_value(r1(i))
	    Next
	Else
	    For i = 1 To UBound(r5)
		list1.AddItem format_value(r5(i))
	    Next
	End If
	verify_desired = False
	Exit Function
    End If

'
'   desired resistor must be numeric
'
    If IsNumeric(Value) = False Then
	MsgBox "Desired resistance must be numeric", 48, "Resistor Finder"
	verify_desired = False
    Else
	verify_desired = True
    End If

End Function

